- job:
    name: android-hikey-optee-o-playready
    project-type: freestyle
    defaults: global
    properties:
        - authorization:
            everyone-flat:
                - job-read
                - job-extended-read
                - job-build
                - job-cancel
        - build-discarder:
            days-to-keep: 60
            num-to-keep: 60
    disabled: true
    node: docker-xenial-aosp
    display-name: 'DELETE ME'
    concurrent: true
    triggers:
        - gerrit:
            server-name: 'lhg-review.linaro.org'
            override-votes: true
            gerrit-build-successful-codereview-value: 1
            gerrit-build-failed-codereview-value: -1
            readable-message: true
            successful-message: 'Playready Sanity Check Successful'
            start-message: 'Playready Sanity Check Started'
            failure-message: 'Playready Sanity Check Failed'
            trigger-for-unreviewed-patches: true
            projects:
                - project-compare-type: 'PLAIN'
                  project-pattern: 'android/playreadydrmplugin'
                  branches:
                      - branch-pattern: 'master'
                - project-compare-type: 'PLAIN'
                  project-pattern: 'lhg/playready'
                  branches:
                      - branch-pattern: '3.3.4472'
                - project-compare-type: 'PLAIN'
                  project-pattern: 'optee-playready'
                  branches:
                      - branch-pattern: '3.3.4472'
    wrappers:
        - timestamps
        - ssh-agent-credentials:
            users:
               - '8e3d0ab1-974d-4bb9-abc0-0b8f01de969a'
        - timeout:
            timeout: 500
    builders:
        - shell:
            !include-raw: android-hikey-optee-o-playready/builders.sh
